> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /prices

**List prices**

Returns a paginated list of prices. Use the query parameters to page through results.

By default, Paddle returns prices that are `active`. Use the `status` query parameter to return prices that are archived.

Use the `include` parameter to include the related product entity in the response.

**Required permissions:** `price.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200; default: `50`) |
| `include` | array | optional | Include related entities in the response. |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `billing_cycle.frequency`, `billing_cycle.interval`, `id`, `product_id`, `quantity.maximum`, `quantity.minimum`, `status`, `tax_mode`, `unit_price.amount`, and `unit_price.currency_code`. (default: `"id[DESC]"`) |
| `product_id` | array | optional | Return entities related to the specified product. Use a comma-separated list to specify multiple product IDs. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. (default: `["active"]`) |
| `recurring` | boolean | optional | Determine whether returned entities are for recurring prices (`true`) or one-time prices (`false`). |
| `billing_cycle.interval` | string | optional | Return entities where the price billing cycle interval matches this value. |
| `billing_cycle.frequency` | integer | optional | Return entities where the price billing cycle frequency matches this value. (Min: 1) |
| `type` | string | optional | Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. |

Values for `include`:

- `product` — Include an object with the product related to this price.

Values for `status`:

- `active` — Return entities where the status is `active`. Returned entities can be used in Paddle and are returned when listing entities.
- `archived` — Return entities where the status is `archived`. Returned entities can't be used for billing and aren't returned when listing entities.

Values for `billing_cycle.interval`:

- `day`
- `week`
- `month`
- `year`

Values for `type`:

- `custom` — Return items where the type is `custom`. Returned items can be considered non-catalog items. They're typically created for a specific transaction or subscription. Not returned when listing via API or shown in the Paddle dashboard.
- `standard` — Return items where the type is `standard`. Returned items can be considered part of your catalog and reused across transactions and subscriptions easily.

## Response (200)

- `data`: array (required)
  - `id`: string (required) — Unique Paddle ID for this price, prefixed with `pri_`. (pattern: `^pri_[a-z\d]{26}$`)
  - `product_id`: string (required) — Paddle ID for the product that this price is for, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
  - `description`: string (required) — Internal description for this price, not shown to customers. Typically notes for your team. (Length: 2–500)
  - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
    - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
    - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
  - `name`: string | null (required) — Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills. (Length: 1–150)
  - `billing_cycle`: object | null (required) — How often this price should be charged. `null` if price is non-recurring (one-time).
    - `interval`: string (required) — Unit of time.
      - `day`
      - `week`
      - `month`
      - `year`
    - `frequency`: integer (required) — Amount of time. (Min: 1)
  - `trial_period`: object | null (required) — Trial period for the product related to this price. The billing cycle begins once the trial period is over. `null` for no trial period. Requires `billing_cycle`.
    - `interval`: string (required) — Unit of time.
      - `day`
      - `week`
      - `month`
      - `year`
    - `frequency`: integer (required) — Amount of time. (Min: 1)
    - `requires_payment_method`: boolean (required) — Whether this price requires a payment method (`true`) or not (`false`) when trialing. If `false`, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial." (default: `true`)
    - `unit_price`: object | null — Trial price. Customers are billed this amount for the duration of the trial period. Applies to all customers except those in countries with `unit_price_overrides`. If `null`, customers are not charged during the trial.
      - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
      - `currency_code`: string — Supported three-letter ISO 4217 currency code.
        - `USD` — United States Dollar
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `JPY` — Japanese Yen
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `HKD` — Hong Kong Dollar
        - `SGD` — Singapore Dollar
        - `SEK` — Swedish Krona
        - `ARS` — Argentine Peso
        - `BRL` — Brazilian Real
        - `CLP` — Chilean Peso
        - `CNY` — Chinese Yuan
        - `COP` — Colombian Peso
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `HUF` — Hungarian Forint
        - `ILS` — Israeli Shekel
        - `INR` — Indian Rupee
        - `KRW` — South Korean Won
        - `MXN` — Mexican Peso
        - `NOK` — Norwegian Krone
        - `NZD` — New Zealand Dollar
        - `PEN` — Peruvian Sol
        - `PLN` — Polish Zloty
        - `RUB` — Russian Ruble
        - `THB` — Thai Baht
        - `TRY` — Turkish Lira
        - `TWD` — New Taiwan Dollar
        - `UAH` — Ukrainian Hryvnia
        - `VND` — Vietnamese Dong
        - `ZAR` — South African Rand
    - `unit_price_overrides`: array — List of unit price overrides for trial pricing. Use to override base trial price with a custom trial price and currency for a country or group of countries. (Items: max 250)
      - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
        - string — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
          - `AD` — Andorra
          - `AE` — United Arab Emirates
          - `AG` — Antigua and Barbuda
          - `AI` — Anguilla
          - `AL` — Albania
          - `AM` — Armenia
          - `AO` — Angola
          - `AR` — Argentina
          - `AS` — American Samoa
          - `AT` — Austria
          - `AU` — Australia
          - `AW` — Aruba
          - `AX` — Åland Islands
          - `AZ` — Azerbaijan
          - `BA` — Bosnia and Herzegovina
          - `BB` — Barbados
          - `BD` — Bangladesh
          - `BE` — Belgium
          - `BF` — Burkina Faso
          - `BG` — Bulgaria
          - `BH` — Bahrain
          - `BI` — Burundi
          - `BJ` — Benin
          - `BL` — Saint Barthélemy
          - `BM` — Bermuda
          - `BN` — Brunei
          - `BO` — Bolivia
          - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
          - `BR` — Brazil
          - `BS` — Bahamas
          - `BT` — Bhutan
          - `BV` — Bouvet Island
          - `BW` — Botswana
          - `BZ` — Belize
          - `CA` — Canada
          - `CC` — Cocos Islands
          - `CG` — Republic of Congo
          - `CH` — Switzerland
          - `CI` — Côte d'Ivoire (Ivory Coast)
          - `CK` — Cook Islands
          - `CL` — Chile
          - `CM` — Cameroon
          - `CN` — China
          - `CO` — Colombia
          - `CR` — Costa Rica
          - `CV` — Cape Verde
          - `CW` — Curaçao
          - `CX` — Christmas Island
          - `CY` — Cyprus
          - `CZ` — Czechia (Czech Republic)
          - `DE` — Germany
          - `DJ` — Djibouti
          - `DK` — Denmark
          - `DM` — Dominica
          - `DO` — Dominican Republic
          - `DZ` — Algeria
          - `EC` — Ecuador
          - `EE` — Estonia
          - `EG` — Egypt
          - `EH` — Western Sahara
          - `ER` — Eritrea
          - `ES` — Spain
          - `ET` — Ethiopia
          - `FI` — Finland
          - `FJ` — Fiji
          - `FK` — Falkland Islands
          - `FM` — Micronesia
          - `FO` — Faroe Islands
          - `FR` — France
          - `GA` — Gabon
          - `GB` — United Kingdom
          - `GD` — Grenada
          - `GE` — Georgia
          - `GF` — French Guiana
          - `GG` — Guernsey
          - `GH` — Ghana
          - `GI` — Gibraltar
          - `GL` — Greenland
          - `GM` — Gambia
          - `GN` — Guinea
          - `GP` — Guadeloupe
          - `GQ` — Equatorial Guinea
          - `GR` — Greece
          - `GS` — South Georgia and the South Sandwich Islands
          - `GT` — Guatemala
          - `GU` — Guam
          - `GW` — Guinea-Bissau
          - `GY` — Guyana
          - `HK` — Hong Kong
          - `HM` — Heard Island and McDonald Islands
          - `HN` — Honduras
          - `HR` — Croatia
          - `HU` — Hungary
          - `ID` — Indonesia
          - `IE` — Ireland
          - `IL` — Israel
          - `IM` — Isle of Man
          - `IN` — India
          - `IO` — British Indian Ocean Territory
          - `IQ` — Iraq
          - `IS` — Iceland
          - `IT` — Italy
          - `JE` — Jersey
          - `JM` — Jamaica
          - `JO` — Jordan
          - `JP` — Japan
          - `KE` — Kenya
          - `KG` — Kyrgyzstan
          - `KH` — Cambodia
          - `KI` — Kiribati
          - `KM` — Comoros
          - `KN` — Saint Kitts and Nevis
          - `KR` — South Korea
          - `KW` — Kuwait
          - `KY` — Cayman Islands
          - `KZ` — Kazakhstan
          - `LA` — Lao People's Democratic Republic (Laos)
          - `LB` — Lebanon
          - `LC` — Saint Lucia
          - `LI` — Liechtenstein
          - `LK` — Sri Lanka
          - `LR` — Liberia
          - `LS` — Lesotho
          - `LT` — Lithuania
          - `LU` — Luxembourg
          - `LV` — Latvia
          - `MA` — Morocco
          - `MC` — Monaco
          - `MD` — Moldova
          - `ME` — Montenegro
          - `MF` — Saint Martin
          - `MG` — Madagascar
          - `MH` — Marshall Islands
          - `MK` — Macedonia
          - `MN` — Mongolia
          - `MO` — Macao
          - `MP` — Northern Mariana Islands
          - `MQ` — Martinique
          - `MR` — Mauritania
          - `MS` — Montserrat
          - `MT` — Malta
          - `MU` — Mauritius
          - `MV` — Maldives
          - `MW` — Malawi
          - `MX` — Mexico
          - `MY` — Malaysia
          - `MZ` — Mozambique
          - `NA` — Namibia
          - `NC` — New Caledonia
          - `NE` — Niger
          - `NF` — Norfolk Island
          - `NG` — Nigeria
          - `NL` — Netherlands
          - `NO` — Norway
          - `NP` — Nepal
          - `NR` — Nauru
          - `NU` — Niue
          - `NZ` — New Zealand
          - `OM` — Oman
          - `PA` — Panama
          - `PE` — Peru
          - `PF` — French Polynesia
          - `PG` — Papua New Guinea
          - `PH` — Philippines
          - `PK` — Pakistan
          - `PL` — Poland
          - `PM` — Saint Pierre and Miquelon
          - `PN` — Pitcairn
          - `PR` — Puerto Rico
          - `PS` — Palestinian territories
          - `PT` — Portugal
          - `PW` — Palau
          - `PY` — Paraguay
          - `QA` — Qatar
          - `RE` — Reunion
          - `RO` — Romania
          - `RS` — Republic of Serbia
          - `RW` — Rwanda
          - `SA` — Saudi Arabia
          - `SB` — Solomon Islands
          - `SC` — Seychelles
          - `SE` — Sweden
          - `SG` — Singapore
          - `SH` — Saint Helena
          - `SI` — Slovenia
          - `SJ` — Svalbard and Jan Mayen
          - `SK` — Slovakia
          - `SL` — Sierra Leone
          - `SM` — San Marino
          - `SN` — Senegal
          - `SR` — Suriname
          - `ST` — São Tomé and Príncipe
          - `SV` — El Salvador
          - `SX` — Sint Maarten
          - `SZ` — Swaziland
          - `TC` — Turks and Caicos Islands
          - `TD` — Chad
          - `TF` — French Southern and Antarctic Lands
          - `TG` — Togo
          - `TH` — Thailand
          - `TJ` — Tajikistan
          - `TK` — Tokelau
          - `TL` — Timor-Leste
          - `TM` — Turkmenistan
          - `TN` — Tunisia
          - `TO` — Tonga
          - `TR` — Turkey
          - `TT` — Trinidad and Tobago
          - `TV` — Tuvalu
          - `TW` — Taiwan
          - `TZ` — Tanzania
          - `UA` — Ukraine
          - `UG` — Uganda
          - `UM` — United States Minor Outlying Islands
          - `US` — United States
          - `UY` — Uruguay
          - `UZ` — Uzbekistan
          - `VA` — Holy See (Vatican City)
          - `VC` — Saint Vincent and the Grenadines
          - `VG` — British Virgin Islands
          - `VI` — U.S. Virgin Islands
          - `VN` — Vietnam
          - `VU` — Vanuatu
          - `WF` — Wallis and Futuna
          - `WS` — Samoa
          - `XK` — Kosovo
          - `YT` — Mayotte
          - `ZA` — South Africa
          - `ZM` — Zambia
        - string — Two-letter code for a country that Paddle does not support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
          - `AF` — Afghanistan
          - `AQ` — Antarctica
          - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
          - `BY` — Belarus
          - `CD` — Democratic Republic of Congo
          - `CF` — Central African Republic
          - `CU` — Cuba
          - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
          - `HT` — Haiti
          - `IR` — Iran
          - `KP` — North Korea
          - `LY` — Libya
          - `ML` — Mali
          - `MM` — Myanmar (Burma)
          - `NI` — Nicaragua
          - `RU` — Russia
          - `SO` — Somalia
          - `SS` — South Sudan
          - `SD` — Sudan
          - `SY` — Syria
          - `VE` — Venezuela
          - `YE` — Yemen
          - `ZW` — Zimbabwe
      - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
        - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
        - `currency_code`: string — Supported three-letter ISO 4217 currency code.
          - `USD` — United States Dollar
          - `EUR` — Euro
          - `GBP` — Pound Sterling
          - `JPY` — Japanese Yen
          - `AUD` — Australian Dollar
          - `CAD` — Canadian Dollar
          - `CHF` — Swiss Franc
          - `HKD` — Hong Kong Dollar
          - `SGD` — Singapore Dollar
          - `SEK` — Swedish Krona
          - `ARS` — Argentine Peso
          - `BRL` — Brazilian Real
          - `CLP` — Chilean Peso
          - `CNY` — Chinese Yuan
          - `COP` — Colombian Peso
          - `CZK` — Czech Koruna
          - `DKK` — Danish Krone
          - `HUF` — Hungarian Forint
          - `ILS` — Israeli Shekel
          - `INR` — Indian Rupee
          - `KRW` — South Korean Won
          - `MXN` — Mexican Peso
          - `NOK` — Norwegian Krone
          - `NZD` — New Zealand Dollar
          - `PEN` — Peruvian Sol
          - `PLN` — Polish Zloty
          - `RUB` — Russian Ruble
          - `THB` — Thai Baht
          - `TRY` — Turkish Lira
          - `TWD` — New Taiwan Dollar
          - `UAH` — Ukrainian Hryvnia
          - `VND` — Vietnamese Dong
          - `ZAR` — South African Rand
  - `tax_mode`: string (required) — How tax is calculated for this price. (default: `"account_setting"`)
    - `account_setting` — Prices use the setting from your account.
    - `external` — Prices are exclusive of tax.
    - `internal` — Prices are inclusive of tax.
    - `location` — Prices are inclusive or exclusive of tax, depending on the country of the transaction.
  - `unit_price`: object (required) — Base price. This price applies to all customers, except for customers located in countries where you have `unit_price_overrides`.
    - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
    - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
      - `USD` — United States Dollar
      - `EUR` — Euro
      - `GBP` — Pound Sterling
      - `JPY` — Japanese Yen
      - `AUD` — Australian Dollar
      - `CAD` — Canadian Dollar
      - `CHF` — Swiss Franc
      - `HKD` — Hong Kong Dollar
      - `SGD` — Singapore Dollar
      - `SEK` — Swedish Krona
      - `ARS` — Argentine Peso
      - `BRL` — Brazilian Real
      - `CLP` — Chilean Peso
      - `CNY` — Chinese Yuan
      - `COP` — Colombian Peso
      - `CZK` — Czech Koruna
      - `DKK` — Danish Krone
      - `HUF` — Hungarian Forint
      - `ILS` — Israeli Shekel
      - `INR` — Indian Rupee
      - `KRW` — South Korean Won
      - `MXN` — Mexican Peso
      - `NOK` — Norwegian Krone
      - `NZD` — New Zealand Dollar
      - `PEN` — Peruvian Sol
      - `PLN` — Polish Zloty
      - `RUB` — Russian Ruble
      - `THB` — Thai Baht
      - `TRY` — Turkish Lira
      - `TWD` — New Taiwan Dollar
      - `UAH` — Ukrainian Hryvnia
      - `VND` — Vietnamese Dong
      - `ZAR` — South African Rand
  - `unit_price_overrides`: array (required) — List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries. (Items: max 250)
    - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
      - string — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
        - `AD` — Andorra
        - `AE` — United Arab Emirates
        - `AG` — Antigua and Barbuda
        - `AI` — Anguilla
        - `AL` — Albania
        - `AM` — Armenia
        - `AO` — Angola
        - `AR` — Argentina
        - `AS` — American Samoa
        - `AT` — Austria
        - `AU` — Australia
        - `AW` — Aruba
        - `AX` — Åland Islands
        - `AZ` — Azerbaijan
        - `BA` — Bosnia and Herzegovina
        - `BB` — Barbados
        - `BD` — Bangladesh
        - `BE` — Belgium
        - `BF` — Burkina Faso
        - `BG` — Bulgaria
        - `BH` — Bahrain
        - `BI` — Burundi
        - `BJ` — Benin
        - `BL` — Saint Barthélemy
        - `BM` — Bermuda
        - `BN` — Brunei
        - `BO` — Bolivia
        - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
        - `BR` — Brazil
        - `BS` — Bahamas
        - `BT` — Bhutan
        - `BV` — Bouvet Island
        - `BW` — Botswana
        - `BZ` — Belize
        - `CA` — Canada
        - `CC` — Cocos Islands
        - `CG` — Republic of Congo
        - `CH` — Switzerland
        - `CI` — Côte d'Ivoire (Ivory Coast)
        - `CK` — Cook Islands
        - `CL` — Chile
        - `CM` — Cameroon
        - `CN` — China
        - `CO` — Colombia
        - `CR` — Costa Rica
        - `CV` — Cape Verde
        - `CW` — Curaçao
        - `CX` — Christmas Island
        - `CY` — Cyprus
        - `CZ` — Czechia (Czech Republic)
        - `DE` — Germany
        - `DJ` — Djibouti
        - `DK` — Denmark
        - `DM` — Dominica
        - `DO` — Dominican Republic
        - `DZ` — Algeria
        - `EC` — Ecuador
        - `EE` — Estonia
        - `EG` — Egypt
        - `EH` — Western Sahara
        - `ER` — Eritrea
        - `ES` — Spain
        - `ET` — Ethiopia
        - `FI` — Finland
        - `FJ` — Fiji
        - `FK` — Falkland Islands
        - `FM` — Micronesia
        - `FO` — Faroe Islands
        - `FR` — France
        - `GA` — Gabon
        - `GB` — United Kingdom
        - `GD` — Grenada
        - `GE` — Georgia
        - `GF` — French Guiana
        - `GG` — Guernsey
        - `GH` — Ghana
        - `GI` — Gibraltar
        - `GL` — Greenland
        - `GM` — Gambia
        - `GN` — Guinea
        - `GP` — Guadeloupe
        - `GQ` — Equatorial Guinea
        - `GR` — Greece
        - `GS` — South Georgia and the South Sandwich Islands
        - `GT` — Guatemala
        - `GU` — Guam
        - `GW` — Guinea-Bissau
        - `GY` — Guyana
        - `HK` — Hong Kong
        - `HM` — Heard Island and McDonald Islands
        - `HN` — Honduras
        - `HR` — Croatia
        - `HU` — Hungary
        - `ID` — Indonesia
        - `IE` — Ireland
        - `IL` — Israel
        - `IM` — Isle of Man
        - `IN` — India
        - `IO` — British Indian Ocean Territory
        - `IQ` — Iraq
        - `IS` — Iceland
        - `IT` — Italy
        - `JE` — Jersey
        - `JM` — Jamaica
        - `JO` — Jordan
        - `JP` — Japan
        - `KE` — Kenya
        - `KG` — Kyrgyzstan
        - `KH` — Cambodia
        - `KI` — Kiribati
        - `KM` — Comoros
        - `KN` — Saint Kitts and Nevis
        - `KR` — South Korea
        - `KW` — Kuwait
        - `KY` — Cayman Islands
        - `KZ` — Kazakhstan
        - `LA` — Lao People's Democratic Republic (Laos)
        - `LB` — Lebanon
        - `LC` — Saint Lucia
        - `LI` — Liechtenstein
        - `LK` — Sri Lanka
        - `LR` — Liberia
        - `LS` — Lesotho
        - `LT` — Lithuania
        - `LU` — Luxembourg
        - `LV` — Latvia
        - `MA` — Morocco
        - `MC` — Monaco
        - `MD` — Moldova
        - `ME` — Montenegro
        - `MF` — Saint Martin
        - `MG` — Madagascar
        - `MH` — Marshall Islands
        - `MK` — Macedonia
        - `MN` — Mongolia
        - `MO` — Macao
        - `MP` — Northern Mariana Islands
        - `MQ` — Martinique
        - `MR` — Mauritania
        - `MS` — Montserrat
        - `MT` — Malta
        - `MU` — Mauritius
        - `MV` — Maldives
        - `MW` — Malawi
        - `MX` — Mexico
        - `MY` — Malaysia
        - `MZ` — Mozambique
        - `NA` — Namibia
        - `NC` — New Caledonia
        - `NE` — Niger
        - `NF` — Norfolk Island
        - `NG` — Nigeria
        - `NL` — Netherlands
        - `NO` — Norway
        - `NP` — Nepal
        - `NR` — Nauru
        - `NU` — Niue
        - `NZ` — New Zealand
        - `OM` — Oman
        - `PA` — Panama
        - `PE` — Peru
        - `PF` — French Polynesia
        - `PG` — Papua New Guinea
        - `PH` — Philippines
        - `PK` — Pakistan
        - `PL` — Poland
        - `PM` — Saint Pierre and Miquelon
        - `PN` — Pitcairn
        - `PR` — Puerto Rico
        - `PS` — Palestinian territories
        - `PT` — Portugal
        - `PW` — Palau
        - `PY` — Paraguay
        - `QA` — Qatar
        - `RE` — Reunion
        - `RO` — Romania
        - `RS` — Republic of Serbia
        - `RW` — Rwanda
        - `SA` — Saudi Arabia
        - `SB` — Solomon Islands
        - `SC` — Seychelles
        - `SE` — Sweden
        - `SG` — Singapore
        - `SH` — Saint Helena
        - `SI` — Slovenia
        - `SJ` — Svalbard and Jan Mayen
        - `SK` — Slovakia
        - `SL` — Sierra Leone
        - `SM` — San Marino
        - `SN` — Senegal
        - `SR` — Suriname
        - `ST` — São Tomé and Príncipe
        - `SV` — El Salvador
        - `SX` — Sint Maarten
        - `SZ` — Swaziland
        - `TC` — Turks and Caicos Islands
        - `TD` — Chad
        - `TF` — French Southern and Antarctic Lands
        - `TG` — Togo
        - `TH` — Thailand
        - `TJ` — Tajikistan
        - `TK` — Tokelau
        - `TL` — Timor-Leste
        - `TM` — Turkmenistan
        - `TN` — Tunisia
        - `TO` — Tonga
        - `TR` — Turkey
        - `TT` — Trinidad and Tobago
        - `TV` — Tuvalu
        - `TW` — Taiwan
        - `TZ` — Tanzania
        - `UA` — Ukraine
        - `UG` — Uganda
        - `UM` — United States Minor Outlying Islands
        - `US` — United States
        - `UY` — Uruguay
        - `UZ` — Uzbekistan
        - `VA` — Holy See (Vatican City)
        - `VC` — Saint Vincent and the Grenadines
        - `VG` — British Virgin Islands
        - `VI` — U.S. Virgin Islands
        - `VN` — Vietnam
        - `VU` — Vanuatu
        - `WF` — Wallis and Futuna
        - `WS` — Samoa
        - `XK` — Kosovo
        - `YT` — Mayotte
        - `ZA` — South Africa
        - `ZM` — Zambia
      - string — Two-letter code for a country that Paddle does not support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
        - `AF` — Afghanistan
        - `AQ` — Antarctica
        - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
        - `BY` — Belarus
        - `CD` — Democratic Republic of Congo
        - `CF` — Central African Republic
        - `CU` — Cuba
        - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
        - `HT` — Haiti
        - `IR` — Iran
        - `KP` — North Korea
        - `LY` — Libya
        - `ML` — Mali
        - `MM` — Myanmar (Burma)
        - `NI` — Nicaragua
        - `RU` — Russia
        - `SO` — Somalia
        - `SS` — South Sudan
        - `SD` — Sudan
        - `SY` — Syria
        - `VE` — Venezuela
        - `YE` — Yemen
        - `ZW` — Zimbabwe
    - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
      - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
      - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
        - `USD` — United States Dollar
        - `EUR` — Euro
        - `GBP` — Pound Sterling
        - `JPY` — Japanese Yen
        - `AUD` — Australian Dollar
        - `CAD` — Canadian Dollar
        - `CHF` — Swiss Franc
        - `HKD` — Hong Kong Dollar
        - `SGD` — Singapore Dollar
        - `SEK` — Swedish Krona
        - `ARS` — Argentine Peso
        - `BRL` — Brazilian Real
        - `CLP` — Chilean Peso
        - `CNY` — Chinese Yuan
        - `COP` — Colombian Peso
        - `CZK` — Czech Koruna
        - `DKK` — Danish Krone
        - `HUF` — Hungarian Forint
        - `ILS` — Israeli Shekel
        - `INR` — Indian Rupee
        - `KRW` — South Korean Won
        - `MXN` — Mexican Peso
        - `NOK` — Norwegian Krone
        - `NZD` — New Zealand Dollar
        - `PEN` — Peruvian Sol
        - `PLN` — Polish Zloty
        - `RUB` — Russian Ruble
        - `THB` — Thai Baht
        - `TRY` — Turkish Lira
        - `TWD` — New Taiwan Dollar
        - `UAH` — Ukrainian Hryvnia
        - `VND` — Vietnamese Dong
        - `ZAR` — South African Rand
  - `quantity`: object (required) — Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
    - `minimum`: integer (required) — Minimum quantity of the product related to this price that can be bought. Required if `maximum` set. (Range: 1–999999999; default: `1`)
    - `maximum`: integer (required) — Maximum quantity of the product related to this price that can be bought. Required if `minimum` set. Must be greater than or equal to the `minimum` value. (Range: 1–999999999; default: `100`)
  - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
    - `active` — Entity is active and can be used.
    - `archived` — Entity is archived, so can't be used.
  - `custom_data`: object | null (required) — Your own structured key-value data.
  - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
    - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
    - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `product`: object — Related product for this price. Returned when the `include` parameter is used with the `product` value.
    - `id`: string (required) — Unique Paddle ID for this product, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
    - `name`: string (required) — Name of this product. (Length: 1–200)
    - `description`: string | null (required) — Short description for this product. (Max length: 2048)
    - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
      - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
      - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
    - `tax_category`: string (required) — Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
      - `digital-goods` — Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
      - `ebooks` — Digital books and educational material which is sold with permanent rights for use by the customer.
      - `implementation-services` — Remote configuration, set-up, and integrating software on behalf of a customer.
      - `professional-services` — Services that involve the application of your expertise and specialized knowledge of a software product.
      - `saas` — Products that allow users to connect to and use online or cloud-based applications over the Internet.
      - `software-programming-services` — Services that can be used to customize and white label software products.
      - `standard` — Software products that are pre-written and can be downloaded and installed onto a local device.
      - `training-services` — Training and education services related to software products.
      - `website-hosting` — Cloud storage service for personal or corporate information, assets, or intellectual property.
    - `image_url` (required) — Image for this product. Included in the checkout and on some customer documents.
      - Image Url — A URL to an image.
      - Empty String
    - `custom_data`: object | null (required) — Your own structured key-value data.
    - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
      - `active` — Entity is active and can be used.
      - `archived` — Entity is archived, so can't be used.
    - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
      - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
      - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
    - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns `100001` to indicate that more than 100,000 entities match. Returns `-1` when counting is skipped or couldn't be calculated.

Use `has_more` and `next` to page through all results rather than relying on `estimated_total` for an exact count.

### Response example

```json
{
  "data": [
    {
      "id": "pri_01h1vjg3sqjj1y9tvazkdqe5vt",
      "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (recurring addon)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "100000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-06-01T13:31:34.071379Z",
      "updated_at": "2024-04-05T14:33:40.972651Z"
    },
    {
      "id": "pri_01h1vjfevh5etwq3rb416a23h2",
      "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (recurring addon)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "10000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-06-01T13:31:12.625056Z",
      "updated_at": "2024-04-09T07:23:00.907834Z"
    },
    {
      "id": "pri_01gvne87kv8vbqa9jkfbmgtsed",
      "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "5000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-03-16T14:47:43.995985Z",
      "updated_at": "2024-04-09T07:29:19.91977Z"
    },
    {
      "id": "pri_01gsz98e27ak2tyhexptwc58yk",
      "product_id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
      "type": "standard",
      "description": "One-time addon",
      "name": "One-time addon",
      "billing_cycle": null,
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "19900",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T14:01:28.391712Z",
      "updated_at": "2024-04-09T07:23:10.921392Z"
    },
    {
      "id": "pri_01gsz96z29d88jrmsf2ztbfgjg",
      "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
      "type": "standard",
      "description": "Annual (recurring addon)",
      "name": "Annual (recurring addon)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "300000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T14:00:40.265185Z",
      "updated_at": "2024-03-25T14:31:18.587603Z"
    },
    {
      "id": "pri_01gsz95g2zrkagg294kpstx54r",
      "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
      "type": "standard",
      "description": "Monthly (recurring addon)",
      "name": "Monthly (recurring addon)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "25000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 1
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:59:52.159927Z",
      "updated_at": "2024-04-09T07:27:48.018296Z"
    },
    {
      "id": "pri_01gsz91wy9k1yn7kx82aafwvea",
      "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "50000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:57:54.249913Z",
      "updated_at": "2024-04-05T14:32:00.471447Z"
    },
    {
      "id": "pri_01gsz8z1q1n00f12qt82y31smh",
      "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "30000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 999
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:56:20.833019Z",
      "updated_at": "2024-04-11T13:47:49.566301Z"
    },
    {
      "id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
      "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "3000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 999
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:55:22.538367Z",
      "updated_at": "2024-04-11T13:54:52.254748Z"
    },
    {
      "id": "pri_01gsz8s48pyr4mbhvv2xfggesg",
      "product_id": "pro_01gsz4s0w61y0pp88528f1wvvb",
      "type": "standard",
      "description": "Annual",
      "name": "Annual (per seat)",
      "billing_cycle": {
        "interval": "year",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "10000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:53:06.838342Z",
      "updated_at": "2024-04-09T07:24:33.205169Z"
    },
    {
      "id": "pri_01gsz8ntc6z7npqqp6j4ys0w1w",
      "product_id": "pro_01gsz4s0w61y0pp88528f1wvvb",
      "type": "standard",
      "description": "Monthly",
      "name": "Monthly (per seat)",
      "billing_cycle": {
        "interval": "month",
        "frequency": 1
      },
      "trial_period": null,
      "tax_mode": "account_setting",
      "unit_price": {
        "amount": "1000",
        "currency_code": "USD"
      },
      "unit_price_overrides": [],
      "custom_data": null,
      "status": "active",
      "quantity": {
        "minimum": 1,
        "maximum": 100
      },
      "import_meta": null,
      "created_at": "2023-02-23T13:51:18.406674Z",
      "updated_at": "2024-04-05T14:29:40.000454Z"
    }
  ],
  "meta": {
    "request_id": "f44951b7-d24c-42cd-9477-57e659822674",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/prices?after=pri_01gsz8ntc6z7npqqp6j4ys0w1w",
      "has_more": false,
      "estimated_total": 1
    }
  }
}
```
